#
# Conditional build:
%bcond_without  python2 # CPython 2.x modules
%bcond_without  python3 # CPython 3.x modules

%define		module	numpy
Summary:	Python 2 numerical facilities
Summary(pl.UTF-8):	Moduły do obliczeń numerycznych dla języka Python 2
Name:		python-%{module}
Version:	1.15.4
Release:	1
Epoch:		1
License:	BSD
Group:		Libraries/Python
#Source0Download: https://github.com/numpy/numpy/releases/
Source0:	https://github.com/numpy/numpy/releases/download/v%{version}/%{module}-%{version}.tar.gz
# Source0-md5:	b3626fec2f39ab01cad8bbb63a103742
URL:		http://sourceforge.net/projects/numpy/
BuildRequires:	gcc-fortran
BuildRequires:	lapack-devel >= 3.1.1-2
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-2to3
BuildRequires:	python3-devel >= 1:3.4
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-libs >= 1:2.7
# -- dropped some time ago
Obsoletes:	python-numpy-Properties
# -- dropped some time ago, should have been released as separate package, but wasn't
Obsoletes:	python-numpy-kinds
# old subpackage, merged into main
Obsoletes:	python-numpy-FFT
# -- dropped during Numeric->numpy transition (ma in main now?)
Obsoletes:	python-numpy-MA
Obsoletes:	python-numpy-RNG
Obsoletes:	python-Numeric
Obsoletes:	python-Numeric-FFT
Obsoletes:	python-Numeric-MA
Obsoletes:	python-Numeric-RNG
Requires:	pydoc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NumPy is a collection of extension modules to provide high-performance
multidimensional numeric arrays to the Python programming language.

This package contains Python 2 modules.

%description -l pl.UTF-8
NumPy to zbiór modułów rozszerzeń zapewniających wydajne obliczenia
numeryczne na macierzach wielowymiarowych w języku Python.

Ten pakiet zawiera moduły Pythona 2.

%package devel
Summary:	C header files for Python 2 numerical modules
Summary(pl.UTF-8):	Pliki nagłówkowe języka C modułów numerycznych Pythona 2
Group:		Development/Languages/Python
%pyrequires_eq	python-devel
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	python-Numeric-devel

%description devel
C header files for Python 2 numerical modules.

%description devel -l pl.UTF-8
Pliki nagłówkowe języka C modułów numerycznych Pythona 2.

%package -n f2py
Summary:	Fortran to Python 2 interface generator
Summary(pl.UTF-8):	Generator interfejsów z Fortranu do Pythona 2
Group:		Libraries/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n f2py
Fortran to Python 2 interface generator.

%description -n f2py -l pl.UTF-8
Generator interfejsów z Fortranu do Pythona 2.

%package -n python3-%{module}
Summary:	Python 3.x numerical facilities
Summary(pl.UTF-8):	Moduły do obliczeń numerycznych dla języka Python 3.x
Group:		Libraries/Python
Requires:	python3-libs >= 1:3.4

%description -n python3-%{module}
NumPy is a collection of extension modules to provide high-performance
multidimensional numeric arrays to the Python programming language.

This package contains Python 3 modules.

%description -l pl.UTF-8 -n python3-%{module}
NumPy to zbiór modułów rozszerzeń zapewniających wydajne obliczenia
numeryczne na macierzach wielowymiarowych w języku Python.

Ten pakiet zawiera moduły Pythona 3.

%package -n python3-%{module}-devel
Summary:	C header files for Python 3 numerical modules
Summary(pl.UTF-8):	Pliki nagłówkowe języka C modułów numerycznych Pythona 3
Group:		Development/Languages/Python
%pyrequires_eq	python3-devel
Requires:	python3-%{module} = %{epoch}:%{version}-%{release}
Obsoletes:	python-Numeric-devel

%description -n python3-%{module}-devel
C header files for Python 3 numerical modules.

%description -n python3-%{module}-devel -l pl.UTF-8
Pliki nagłówkowe języka C modułów numerycznych Pythona 3.

%package -n f2py3
Summary:	Fortran to Python 3 interface generator
Summary(pl.UTF-8):	Generator interfejsów z Fortranu do Pythona 3
Group:		Libraries/Python
Requires:	python3-%{module} = %{epoch}:%{version}-%{release}

%description -n f2py3
Fortran to Python 3 interface generator.

%description -n f2py3 -l pl.UTF-8
Generator interfejsów z Fortranu do Pythona 3.

%prep
%setup -q -n %{module}-%{version}

%build
# numpy.distutils uses CFLAGS/LDFLAGS as its own flags replacements,
# instead of appending proper options (like -fPIC/-shared resp.)
CFLAGS="%{rpmcflags} -fPIC"
LDFLAGS="%{rpmldflags} -shared"

%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}

%{__rm} -r $RPM_BUILD_ROOT%{py_sitedir}/%{module}/doc
%{__rm} -r $RPM_BUILD_ROOT%{py_sitedir}/%{module}/*/tests
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/%{module}/LICENSE.txt

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/%{module}/distutils/mingw/gfortran_vs2003_hack.c
%endif

%if %{with python3}
%py3_install

%py3_ocomp $RPM_BUILD_ROOT%{py3_sitedir}
%py3_comp $RPM_BUILD_ROOT%{py3_sitedir}

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitedir}/%{module}/doc
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitedir}/%{module}/*/tests
%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/%{module}/LICENSE.txt

%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/%{module}/distutils/mingw/gfortran_vs2003_hack.c
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE.txt THANKS.txt
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py
%{py_sitedir}/%{module}/*.py[co]
%dir %{py_sitedir}/%{module}/compat
%{py_sitedir}/%{module}/compat/*.py
%{py_sitedir}/%{module}/compat/*.py[co]
%dir %{py_sitedir}/%{module}/core
%{py_sitedir}/%{module}/core/*.py
%{py_sitedir}/%{module}/core/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/core/*.so
%dir %{py_sitedir}/%{module}/distutils
%{py_sitedir}/%{module}/distutils/*.py
%{py_sitedir}/%{module}/distutils/*.py[co]
%dir %{py_sitedir}/%{module}/distutils/command
%{py_sitedir}/%{module}/distutils/command/*.py
%{py_sitedir}/%{module}/distutils/command/*.py[co]
%dir %{py_sitedir}/%{module}/distutils/fcompiler
%{py_sitedir}/%{module}/distutils/fcompiler/*.py
%{py_sitedir}/%{module}/distutils/fcompiler/*.py[co]
%dir %{py_sitedir}/%{module}/fft
%{py_sitedir}/%{module}/fft/*.py
%{py_sitedir}/%{module}/fft/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/fft/fftpack_lite.so
%dir %{py_sitedir}/%{module}/lib
%{py_sitedir}/%{module}/lib/*.py
%{py_sitedir}/%{module}/lib/*.py[co]
%dir %{py_sitedir}/%{module}/linalg
%{py_sitedir}/%{module}/linalg/*.py
%{py_sitedir}/%{module}/linalg/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/linalg/_umath_linalg.so
%attr(755,root,root) %{py_sitedir}/%{module}/linalg/lapack_lite.so
%dir %{py_sitedir}/%{module}/ma
%{py_sitedir}/%{module}/ma/*.py
%{py_sitedir}/%{module}/ma/*.py[co]
%dir %{py_sitedir}/%{module}/matrixlib
%{py_sitedir}/%{module}/matrixlib/*.py
%{py_sitedir}/%{module}/matrixlib/*.py[co]
%dir %{py_sitedir}/%{module}/polynomial
%{py_sitedir}/%{module}/polynomial/*.py
%{py_sitedir}/%{module}/polynomial/*.py[co]
%dir %{py_sitedir}/%{module}/random
%{py_sitedir}/%{module}/random/*.py
%{py_sitedir}/%{module}/random/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/random/mtrand.so
%dir %{py_sitedir}/%{module}/testing
%{py_sitedir}/%{module}/testing/_private
%{py_sitedir}/%{module}/testing/*.py
%{py_sitedir}/%{module}/testing/*.py[co]
%dir %{py_sitedir}/%{module}/tests
%{py_sitedir}/%{module}/tests/*.py
%{py_sitedir}/%{module}/tests/*.py[co]
%{py_sitedir}/numpy-%{version}-py*.egg-info

%files devel
%defattr(644,root,root,755)
%{py_sitedir}/%{module}/core/include
%{py_sitedir}/%{module}/core/lib
%{py_sitedir}/%{module}/random/*.h

%files -n f2py
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/f2py2
%dir %{py_sitedir}/%{module}/f2py
%{py_sitedir}/%{module}/f2py/*.py
%{py_sitedir}/%{module}/f2py/*.py[co]
%{py_sitedir}/%{module}/f2py/src
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc LICENSE.txt THANKS.txt
%dir %{py3_sitedir}/%{module}
%{py3_sitedir}/%{module}/*.py
%{py3_sitedir}/%{module}/__pycache__
%dir %{py3_sitedir}/%{module}/compat
%{py3_sitedir}/%{module}/compat/*.py
%{py3_sitedir}/%{module}/compat/__pycache__
%dir %{py3_sitedir}/%{module}/core
%{py3_sitedir}/%{module}/core/*.py
%{py3_sitedir}/%{module}/core/__pycache__
%attr(755,root,root) %{py3_sitedir}/%{module}/core/*.cpython-3*.so
%dir %{py3_sitedir}/%{module}/distutils
%{py3_sitedir}/%{module}/distutils/*.py
%{py3_sitedir}/%{module}/distutils/__pycache__
%dir %{py3_sitedir}/%{module}/distutils/command
%{py3_sitedir}/%{module}/distutils/command/*.py
%{py3_sitedir}/%{module}/distutils/command/__pycache__
%dir %{py3_sitedir}/%{module}/distutils/fcompiler
%{py3_sitedir}/%{module}/distutils/fcompiler/*.py
%{py3_sitedir}/%{module}/distutils/fcompiler/__pycache__
%dir %{py3_sitedir}/%{module}/fft
%{py3_sitedir}/%{module}/fft/*.py
%{py3_sitedir}/%{module}/fft/__pycache__
%attr(755,root,root) %{py3_sitedir}/%{module}/fft/fftpack_lite.cpython-3*.so
%dir %{py3_sitedir}/%{module}/lib
%{py3_sitedir}/%{module}/lib/*.py
%{py3_sitedir}/%{module}/lib/__pycache__
%dir %{py3_sitedir}/%{module}/linalg
%{py3_sitedir}/%{module}/linalg/*.py
%{py3_sitedir}/%{module}/linalg/__pycache__
%attr(755,root,root) %{py3_sitedir}/%{module}/linalg/_umath_linalg.cpython-3*.so
%attr(755,root,root) %{py3_sitedir}/%{module}/linalg/lapack_lite.cpython-3*.so
%dir %{py3_sitedir}/%{module}/ma
%{py3_sitedir}/%{module}/ma/*.py
%{py3_sitedir}/%{module}/ma/__pycache__
%dir %{py3_sitedir}/%{module}/matrixlib
%{py3_sitedir}/%{module}/matrixlib/*.py
%{py3_sitedir}/%{module}/matrixlib/__pycache__
%dir %{py3_sitedir}/%{module}/polynomial
%{py3_sitedir}/%{module}/polynomial/*.py
%{py3_sitedir}/%{module}/polynomial/__pycache__
%dir %{py3_sitedir}/%{module}/random
%{py3_sitedir}/%{module}/random/*.py
%{py3_sitedir}/%{module}/random/__pycache__
%attr(755,root,root) %{py3_sitedir}/%{module}/random/mtrand.cpython-3*.so
%dir %{py3_sitedir}/%{module}/testing
%{py3_sitedir}/%{module}/testing/_private
%{py3_sitedir}/%{module}/testing/*.py
%{py3_sitedir}/%{module}/testing/__pycache__
%dir %{py3_sitedir}/%{module}/tests
%{py3_sitedir}/%{module}/tests/*.py
%{py3_sitedir}/%{module}/tests/__pycache__
%{py3_sitedir}/numpy-%{version}-py*.egg-info

%files -n python3-%{module}-devel
%defattr(644,root,root,755)
%{py3_sitedir}/%{module}/core/include
%{py3_sitedir}/%{module}/core/lib
%{py3_sitedir}/%{module}/random/*.h

%files -n f2py3
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/f2py3
%dir %{py3_sitedir}/%{module}/f2py
%{py3_sitedir}/%{module}/f2py/*.py
%{py3_sitedir}/%{module}/f2py/__pycache__
%{py3_sitedir}/%{module}/f2py/src
%endif
%changelog
* Wed Dec 26 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-numpy.git;a=log;h=master

* Wed Dec 26 2018 Jakub Bogusz <qboosh@pld-linux.org> cc4c8a5
- updated to 1.15.4

* Thu Jul 26 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> fde75c3
- release 3 (by relup.sh)

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 677c821
- rel 2; fix files

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 31b7828
- up to 1.14.5

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> eff1164
- release 3 (by relup.sh)

* Thu May 25 2017 Jan Rękorajski <baggins@pld-linux.org> f1e5012
- rebuild with lapack 3.7
- release 2 (by relup.sh)

* Fri Apr 07 2017 Jakub Bogusz <qboosh@pld-linux.org> 0ee4f7b
- updated to 1.12.1

* Fri Dec 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 0b7800b
- up to 1.11.3

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 479cda4
- python 3.6
- release 2 (by relup.sh)

* Thu Sep 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 7cd5c7c
- updated to 1.11.1

* Fri May 20 2016 Jakub Bogusz <qboosh@pld-linux.org> 413816e
- updated to 1.11.0

* Wed Mar 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 572a26d
- updated to 1.10.4

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 4d45ee1
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> bf2df8c
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5a9990b
- automatic change: use py_build/py_install macros

* Tue Oct 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 1bb69c2
- updated to 1.10.1
- upaded fortran-version patch

* Mon Sep 14 2015 Elan Ruusamäe <glen@delfi.ee> 0b8c81e
- python3 rebuild
- release 4 (by relup.sh)

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 2c79bc5
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 34ed1ed
- python 3.5 rebuild
- release 2 (by relup.sh)

* Thu May 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 9410aa3
- up to 1.9.2

